brmpuk: Simple robot with notebook+ATMega128 control that pushes puks
throughout playground. It is either red/blue, and two corners are
red/blue too - the task is to maximize number of puks of own color and
minimize number of puks of the opponent color present in the corner
squares at the end of the game.

The root directory contains the ATMega128 motor driver. Motors
can be controlled either by a button array, or serial input; the
motors themselves are driven by a Sabertooth motor driver; each
of the two wheels can have different velocity (-64 to 63).

The host directory contains the notebook ATMega128 interface;
it accepts pairs of numbers from control software and sends
them to the ATMega128.

The host/camnav directory contains the controller software;
it interprets picture from a camera that gets panoramatic image
of the surroundings of the robot; it recognizes blobs in the
image and navigates the robot based on that.

To put these together:

	./brmbotimg -c -1 2>err | ./angle2wheels.pl | ../control.sh
